from metadata.sdk import configurefrom metadata.sdk.entities import Teamsconfigure( host="https://your-company.open-metadata.org/api", jwt_token="your-jwt-token")# Get by IDteam = Teams.retrieve("449b5f25-4cbb-42db-8f71-3be2c5cd888a")print(f"{team.fullyQualifiedName.root}: {team.teamType.value}")# Get by ID with fieldsteam = Teams.retrieve( "449b5f25-4cbb-42db-8f71-3be2c5cd888a", fields=["users", "parents", "policies"])# Get by fully qualified nameteam = Teams.retrieve_by_name("Accounting")# Get by name with fieldsteam = Teams.retrieve_by_name( "Accounting", fields=["users", "parents", "children"])
// client is an initialized OpenMetadataClient.var team = client.teams().get("449b5f25-4cbb-42db-8f71-3be2c5cd888a");// Get by ID with fieldsvar teamWithFields = client.teams().get( "449b5f25-4cbb-42db-8f71-3be2c5cd888a", "users,parents,policies");// Get by fully qualified namevar teamByName = client.teams().getByName("Accounting");// Get by name with fieldsvar teamByNameWithFields = client.teams().getByName( "Accounting", "users,parents,children");
# Get by IDcurl "{base_url}/api/v1/teams/449b5f25-4cbb-42db-8f71-3be2c5cd888a" \ -H "Authorization: Bearer {access_token}"# Get by ID with fieldscurl "{base_url}/api/v1/teams/449b5f25-4cbb-42db-8f71-3be2c5cd888a?fields=users,parents,policies" \ -H "Authorization: Bearer {access_token}"# Get by fully qualified namecurl "{base_url}/api/v1/teams/name/Accounting" \ -H "Authorization: Bearer {access_token}"# Get by name with fieldscurl "{base_url}/api/v1/teams/name/Accounting?fields=users,parents,children" \ -H "Authorization: Bearer {access_token}"
from metadata.sdk import configurefrom metadata.sdk.entities import Teamsconfigure( host="https://your-company.open-metadata.org/api", jwt_token="your-jwt-token")# Get by IDteam = Teams.retrieve("449b5f25-4cbb-42db-8f71-3be2c5cd888a")print(f"{team.fullyQualifiedName.root}: {team.teamType.value}")# Get by ID with fieldsteam = Teams.retrieve( "449b5f25-4cbb-42db-8f71-3be2c5cd888a", fields=["users", "parents", "policies"])# Get by fully qualified nameteam = Teams.retrieve_by_name("Accounting")# Get by name with fieldsteam = Teams.retrieve_by_name( "Accounting", fields=["users", "parents", "children"])
// client is an initialized OpenMetadataClient.var team = client.teams().get("449b5f25-4cbb-42db-8f71-3be2c5cd888a");// Get by ID with fieldsvar teamWithFields = client.teams().get( "449b5f25-4cbb-42db-8f71-3be2c5cd888a", "users,parents,policies");// Get by fully qualified namevar teamByName = client.teams().getByName("Accounting");// Get by name with fieldsvar teamByNameWithFields = client.teams().getByName( "Accounting", "users,parents,children");
# Get by IDcurl "{base_url}/api/v1/teams/449b5f25-4cbb-42db-8f71-3be2c5cd888a" \ -H "Authorization: Bearer {access_token}"# Get by ID with fieldscurl "{base_url}/api/v1/teams/449b5f25-4cbb-42db-8f71-3be2c5cd888a?fields=users,parents,policies" \ -H "Authorization: Bearer {access_token}"# Get by fully qualified namecurl "{base_url}/api/v1/teams/name/Accounting" \ -H "Authorization: Bearer {access_token}"# Get by name with fieldscurl "{base_url}/api/v1/teams/name/Accounting?fields=users,parents,children" \ -H "Authorization: Bearer {access_token}"
Get a single team by its unique ID or fully qualified name.
Get by ID
string
required
UUID of the team to retrieve.
string
Comma-separated list of fields to include, for example users,parents,children,policies,domains,owners.
string
default:"non-deleted"
Include all, deleted, or non-deleted entities.
Get by Fully Qualified Name
Use GET /v1/teams/name/{fqn} to retrieve by fully qualified name.
string
required
Fully qualified name of the team, for example Accounting.
string
Comma-separated list of fields to include: users, parents, children, policies, domains, owners.
string
default:"non-deleted"
Include all, deleted, or non-deleted entities.
GET /v1/teams/{id}
from metadata.sdk import configurefrom metadata.sdk.entities import Teamsconfigure( host="https://your-company.open-metadata.org/api", jwt_token="your-jwt-token")# Get by IDteam = Teams.retrieve("449b5f25-4cbb-42db-8f71-3be2c5cd888a")print(f"{team.fullyQualifiedName.root}: {team.teamType.value}")# Get by ID with fieldsteam = Teams.retrieve( "449b5f25-4cbb-42db-8f71-3be2c5cd888a", fields=["users", "parents", "policies"])# Get by fully qualified nameteam = Teams.retrieve_by_name("Accounting")# Get by name with fieldsteam = Teams.retrieve_by_name( "Accounting", fields=["users", "parents", "children"])
// client is an initialized OpenMetadataClient.var team = client.teams().get("449b5f25-4cbb-42db-8f71-3be2c5cd888a");// Get by ID with fieldsvar teamWithFields = client.teams().get( "449b5f25-4cbb-42db-8f71-3be2c5cd888a", "users,parents,policies");// Get by fully qualified namevar teamByName = client.teams().getByName("Accounting");// Get by name with fieldsvar teamByNameWithFields = client.teams().getByName( "Accounting", "users,parents,children");
# Get by IDcurl "{base_url}/api/v1/teams/449b5f25-4cbb-42db-8f71-3be2c5cd888a" \ -H "Authorization: Bearer {access_token}"# Get by ID with fieldscurl "{base_url}/api/v1/teams/449b5f25-4cbb-42db-8f71-3be2c5cd888a?fields=users,parents,policies" \ -H "Authorization: Bearer {access_token}"# Get by fully qualified namecurl "{base_url}/api/v1/teams/name/Accounting" \ -H "Authorization: Bearer {access_token}"# Get by name with fieldscurl "{base_url}/api/v1/teams/name/Accounting?fields=users,parents,children" \ -H "Authorization: Bearer {access_token}"